import { IConfig } from '../utils/config';
import { ICanvasHighlighter, IRange } from '../utils/types';
declare class CanvasHighlighter implements ICanvasHighlighter {
    private root;
    private config;
    private stage;
    private rangeFactory;
    private ranges;
    constructor(root: HTMLElement, config?: Partial<IConfig>);
    getSelectionRange(selection?: Selection | null): IRange | null;
    getSelectionPosition(selection?: Selection | null): {
        start: DOMRect;
        end: DOMRect;
    } | null;
    addRange(range: IRange): boolean;
    getRange(id: string): IRange | null;
    deleteRange(id: string): boolean;
    updateRange(range: IRange): void;
    getAllRange(): IRange[];
    renderRanges(ranges: IRange[]): void;
    clear(): void;
    private observeResize;
    private handleResize;
    geRangeIdByPointer(x: number, y: number): string | null;
}
export default CanvasHighlighter;
